from django.urls import path
from .views import (
    FollowUser, UnfollowUser, CheckFollow,
    ListFollowers, ListFollowing, SearchUsers
)

urlpatterns = [
    path("search/", SearchUsers.as_view(), name="search-users"),
    path("<int:user_id>/", FollowUser.as_view(), name="follow-user"),
    path("unfollow/<int:user_id>/", UnfollowUser.as_view(), name="unfollow-user"),
    path("status/<int:user_id>/", CheckFollow.as_view(), name="check-follow"),
    path("followers/<int:user_id>/", ListFollowers.as_view(), name="list-followers"),
    path("following/<int:user_id>/", ListFollowing.as_view(), name="list-following"),
]
